xfstests: randholes: only allocate write buffer when needed
[xfstests-dev.git] / 131
1 #! /bin/bash
2 # FSQA Test No. 131
3 #
4 # lock test created from CXFSQA test lockfile_simple
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24 # creator
25 owner=allanr@sgi.com
26
27 seq=`basename $0`
28 echo "QA output created by $seq"
29
30 here=`pwd`
31 tmp=/tmp/$$
32 status=1        # failure is the default!
33 trap "_cleanup; exit \$status" 0 1 2 3 15
34
35 _cleanup()
36 {
37     kill $locktest_pid2 2&>1 /dev/null
38     kill $locktest_pid1 2&>1 /dev/null
39     _cleanup_testdir
40 }
41
42 # get standard environment, filters and checks
43 . ./common.rc
44 . ./common.filter
45
46 # real QA test starts here
47 _supported_fs generic
48 _supported_os Linux
49
50 _setup_testdir
51
52 TESTFILE=$testdir/lock_file
53
54 # Grab a port which is hopefully unused
55 if [ $$ -gt 1024 -a $$ -lt 32000 ]; then
56     PORT=$$
57 elif [ $$ -lt 1024 ]; then
58     PORT=$(($$+1024))
59 elif [ $$ -gt 32000 ]; then
60     PORT=$(($$%30000+1024))
61 fi
62
63 # Start the server
64 src/locktest -p $PORT $TESTFILE > $testdir/server.out 2>&1 &
65 locktest_pid1=$!
66
67 sleep 1
68
69 # Start the client
70 src/locktest -p $PORT -h localhost $TESTFILE > $testdir/client.out 2>&1
71 locktest_pid2=$!
72 result=$?
73 if [ $result -eq 0 ]; then
74     echo success!
75 else
76     echo "Client reported failure ($result)"
77     cat $testdir/*.out
78     _cleanup
79     exit $status
80 fi
81
82 status=0
83 exit